textures/bst_pool_sfx/water
	{
		qer_editorimage textures/bst_pool/pool3d_5.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/bst_pool/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/bst_pool/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/bst_pool/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/bst_pool_sfx/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/bst_pool/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/bst_pool_sfx/invislight
{
    qer_editorimage textures/bst_pool/white.tga	
    q3map_lightRGB 1.0 1.0 1.0
    q3map_surfacelight 1000

    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map $whiteimage
        alphaFunc GE128
        alphaGen const 0
    }
}

textures/bst_pool_sfx/light1a
{
	qer_editorimage textures/bst_pool/lig_064-05b1.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05b.blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/bst_pool_sfx/light1b
{
	qer_editorimage textures/bst_pool/lig_064-05b2.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05b2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05b.blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/bst_pool_sfx/light1c
{
	qer_editorimage textures/bst_pool/lig_128-05b2.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_128-05b2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_128-05b.blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/bst_pool_sfx/light2a
{
	qer_editorimage textures/bst_pool/lig_064-05r1.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05r1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05r.blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/bst_pool_sfx/light2b
{
	qer_editorimage textures/bst_pool/lig_064-05r2.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05r2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_064-05r.blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/bst_pool_sfx/light2c
{
	qer_editorimage textures/bst_pool/lig_128-05r2.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_128-05r2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_128-05r.blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/bst_pool_sfx/light3
{
	qer_editorimage textures/bst_pool/lig_b064-01d.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_b064-01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/bst_pool/lig_b064-01y.blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/bst_pool_sfx/snowsky
{
	qer_editorimage env/sb_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 600
	surfaceparm sky
	q3map_sun 1 1 1 125 90 90
	skyparms env/sb - -
}
